summaryrefslogtreecommitdiffstats
path: root/tests/ts-fstab-uuid
diff options
context:
space:
mode:
authorKarel Zak2007-05-22 21:44:14 +0200
committerKarel Zak2007-05-22 21:44:14 +0200
commit83ee8e469a54520b94f86bb0f33e9748d6f3bad3 (patch)
tree0dd1e48e87e70104b4f77f8ee9032e62018e03b9 /tests/ts-fstab-uuid
parenttests: add mount by label from fstab test (diff)
downloadkernel-qcow2-util-linux-83ee8e469a54520b94f86bb0f33e9748d6f3bad3.tar.gz
kernel-qcow2-util-linux-83ee8e469a54520b94f86bb0f33e9748d6f3bad3.tar.xz
kernel-qcow2-util-linux-83ee8e469a54520b94f86bb0f33e9748d6f3bad3.zip
tests: add mount by UUID from fstab test
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests/ts-fstab-uuid')
-rwxr-xr-xtests/ts-fstab-uuid60
1 files changed, 60 insertions, 0 deletions
diff --git a/tests/ts-fstab-uuid b/tests/ts-fstab-uuid
new file mode 100755
index 000000000..8e566a184
--- /dev/null
+++ b/tests/ts-fstab-uuid
@@ -0,0 +1,60 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux-ng.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+
+. commands.sh
+. functions.sh
+
+TS_COMPONENT="fstab"
+TS_DESC="uuid"
+
+ts_init "$1"
+ts_skip_nonroot
+
+set -o pipefail
+
+DEVICE=$(ts_device_init)
+[ "$?" == 0 ] || ts_die "Cannot init device"
+
+mkfs.ext3 $DEVICE &> /dev/null
+[ "$?" == "0" ] || ts_die "Cannot make ext3 on $DEVICE" $DEVICE
+
+ts_device_has_uuid $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot found UUID on $DEVICE" $DEVICE
+
+UUID=$(ts_uuid_by_devname $DEVICE)
+
+ts_udev_dev_support "by-uuid" $UUID
+[ "$?" == "0" ] || ts_skip "udev ignores /dev/loop*" $DEVICE
+
+[ -d "$TS_MOUNTPOINT" ] || mkdir -p $TS_MOUNTPOINT
+
+ts_fstab_add "UUID=$UUID"
+
+$TS_CMD_MOUNT $TS_MOUNTPOINT 2>&1 >> $TS_OUTPUT
+
+grep -q $DEVICE /proc/mounts
+[ "$?" == "0" ] || ts_die "Cannot found $DEVICE in /proc/mounts" $DEVICE
+
+$TS_CMD_UMOUNT $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot umount $DEVICE" $DEVICE
+
+ts_device_deinit $DEVICE
+ts_fstab_clean
+
+ts_log "Success"
+ts_finalize
+